WordPress.org

Make WordPress Core


Ignore:
Timestamp:
10/25/2018 01:42:03 PM (14 months ago)
Author:
atimmer
Message:

Build tools: Clone and build from packages repo.

Instead of requiring the packages individually this commit changes it so the packages are used from the packages repository (gutenberg). This is a solution that makes updating the packages easier, as long as we don't have a monorepo to manage both WordPress & the JavaScript packages together.

Props youknowriad, gziolo, omarreiss, herregroen.
See #45145.

Location:
branches/5.0
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • branches/5.0

    • Property svn:ignore
      •  

        old new  
        1515jsdoc
        1616vendor
         17packages
  • branches/5.0/package.json

    r43801 r43824  
    5151    "dependencies": {
    5252        "@babel/polyfill": "^7.0.0",
    53         "@wordpress/a11y": "^2.0.2",
    54         "@wordpress/api-fetch": "^2.1.0",
    55         "@wordpress/autop": "^2.0.2",
    56         "@wordpress/blob": "^2.1.0",
    57         "@wordpress/block-library": "^2.1.4",
    58         "@wordpress/block-serialization-default-parser": "^1.0.1",
    59         "@wordpress/blocks": "^4.0.4",
    60         "@wordpress/components": "^4.2.1",
    61         "@wordpress/compose": "^2.0.5",
    62         "@wordpress/core-data": "^2.0.6",
    63         "@wordpress/data": "^2.1.4",
    64         "@wordpress/date": "^2.0.3",
    65         "@wordpress/deprecated": "^2.0.2",
    66         "@wordpress/dom": "^2.0.4",
    67         "@wordpress/dom-ready": "^2.0.2",
    68         "@wordpress/edit-post": "^1.0.4",
    69         "@wordpress/editor": "^5.0.1",
    70         "@wordpress/element": "^2.1.4",
    71         "@wordpress/escape-html": "^1.0.1",
    72         "@wordpress/hooks": "^2.0.2",
    73         "@wordpress/html-entities": "^2.0.2",
    74         "@wordpress/i18n": "^3.0.1",
    75         "@wordpress/is-shallow-equal": "^1.1.4",
    76         "@wordpress/keycodes": "^2.0.2",
    77         "@wordpress/list-reusable-blocks": "^1.1.4",
    78         "@wordpress/nux": "^2.0.6",
    79         "@wordpress/plugins": "^2.0.5",
    80         "@wordpress/redux-routine": "^3.0.3",
    81         "@wordpress/rich-text": "^1.0.1",
    82         "@wordpress/shortcode": "^2.0.2",
    83         "@wordpress/token-list": "^1.0.2",
    84         "@wordpress/url": "^2.1.0",
    85         "@wordpress/viewport": "^2.0.5",
    86         "@wordpress/wordcount": "^2.0.2",
    8753        "element-closest": "^2.0.2",
    8854        "formdata-polyfill": "^3.0.12",
     
    9359        "react-dom": "^16.5.2",
    9460        "whatwg-fetch": "^3.0.0"
     61    },
     62    "scripts": {
     63        "postinstall": "grunt download-packages"
     64    },
     65    "wordpress": {
     66        "packagesVersion": "v4.1.0"
    9567    }
    9668}
Note: See TracChangeset for help on using the changeset viewer.